Package org.lwjgl.opencl

# Class CL11

java.lang.Object
org.lwjgl.opencl.CL11

public final class CL11 extends Object
The core OpenCL 1.1 API

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CL_ADDRESS_MIRRORED_REPEAT`
cl_addressing_mode
`static final int`
`CL_BUFFER_CREATE_TYPE_REGION`
cl_buffer_create_type
`static final int`
`CL_COMMAND_COPY_BUFFER_RECT`
cl_command_type
`static final int`
`CL_COMMAND_READ_BUFFER_RECT`
cl_command_type
`static final int`
`CL_COMMAND_USER`
cl_command_type
`static final int`
`CL_COMMAND_WRITE_BUFFER_RECT`
cl_command_type
`static final int`
`CL_CONTEXT_NUM_DEVICES`
cl_context_info
`static final int`
`CL_DEVICE_HOST_UNIFIED_MEMORY`
cl_device_info
`static final int`
`CL_DEVICE_NATIVE_VECTOR_WIDTH_CHAR`
cl_device_info
`static final int`
`CL_DEVICE_NATIVE_VECTOR_WIDTH_DOUBLE`
cl_device_info
`static final int`
`CL_DEVICE_NATIVE_VECTOR_WIDTH_FLOAT`
cl_device_info
`static final int`
`CL_DEVICE_NATIVE_VECTOR_WIDTH_HALF`
cl_device_info
`static final int`
`CL_DEVICE_NATIVE_VECTOR_WIDTH_INT`
cl_device_info
`static final int`
`CL_DEVICE_NATIVE_VECTOR_WIDTH_LONG`
cl_device_info
`static final int`
`CL_DEVICE_NATIVE_VECTOR_WIDTH_SHORT`
cl_device_info
`static final int`
`CL_DEVICE_OPENCL_C_VERSION`
cl_device_info
`static final int`
`CL_DEVICE_PREFERRED_VECTOR_WIDTH_HALF`
cl_device_info
`static final int`
`CL_EVENT_CONTEXT`
cl_event_info
`static final int`
`CL_EXEC_STATUS_ERROR_FOR_EVENTS_IN_WAIT_LIST`
Error Codes
`static final int`
`CL_FP_SOFT_FLOAT`
cl_device_fp_config - bitfield
`static final int`
`CL_INVALID_PROPERTY`
Error Codes
`static final int`
`CL_KERNEL_PREFERRED_WORK_GROUP_SIZE_MULTIPLE`
cl_kernel_work_group_info
`static final int`
`CL_KERNEL_PRIVATE_MEM_SIZE`
cl_kernel_work_group_info
`static final int`
`CL_MEM_ASSOCIATED_MEMOBJECT`
cl_mem_info
`static final int`
`CL_MEM_OFFSET`
cl_mem_info
`static final int`
`CL_MISALIGNED_SUB_BUFFER_OFFSET`
Error Codes
`static final int`
`CL_RGBx`
cl_channel_order
`static final int`
`CL_RGx`
cl_channel_order
`static final int`
`CL_Rx`
cl_channel_order
`static final int`
`CL_VERSION_1_1`
OpenCL Version

## Method Summary

Modifier and Type
Method
Description
`static CLMem`
`clCreateSubBuffer(CLMem buffer, long flags, int buffer_create_type, ByteBuffer buffer_create_info, IntBuffer errcode_ret)`
`static CLEvent`
`clCreateUserEvent(CLContext context, IntBuffer errcode_ret)`
`static int`
`clEnqueueCopyBufferRect(CLCommandQueue command_queue, CLMem src_buffer, CLMem dst_buffer, PointerBuffer src_origin, PointerBuffer dst_origin, PointerBuffer region, long src_row_pitch, long src_slice_pitch, long dst_row_pitch, long dst_slice_pitch, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, DoubleBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, LongBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, DoubleBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, LongBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clSetEventCallback(CLEvent event, int command_exec_callback_type, CLEventCallback pfn_notify)`
`static int`
`clSetMemObjectDestructorCallback(CLMem memobj, CLMemObjectDestructorCallback pfn_notify)`
`static int`
`clSetUserEventStatus(CLEvent event, int execution_status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CL_MISALIGNED_SUB_BUFFER_OFFSET

public static final int CL_MISALIGNED_SUB_BUFFER_OFFSET
Error Codes

See Also:
  - Constant Field Values

### CL_EXEC_STATUS_ERROR_FOR_EVENTS_IN_WAIT_LIST

public static final int CL_EXEC_STATUS_ERROR_FOR_EVENTS_IN_WAIT_LIST
Error Codes

See Also:
  - Constant Field Values

### CL_INVALID_PROPERTY

public static final int CL_INVALID_PROPERTY
Error Codes

See Also:
  - Constant Field Values

### CL_VERSION_1_1

public static final int CL_VERSION_1_1
OpenCL Version

See Also:
  - Constant Field Values

### CL_DEVICE_PREFERRED_VECTOR_WIDTH_HALF

public static final int CL_DEVICE_PREFERRED_VECTOR_WIDTH_HALF
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_HOST_UNIFIED_MEMORY

public static final int CL_DEVICE_HOST_UNIFIED_MEMORY
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_NATIVE_VECTOR_WIDTH_CHAR

public static final int CL_DEVICE_NATIVE_VECTOR_WIDTH_CHAR
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_NATIVE_VECTOR_WIDTH_SHORT

public static final int CL_DEVICE_NATIVE_VECTOR_WIDTH_SHORT
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_NATIVE_VECTOR_WIDTH_INT

public static final int CL_DEVICE_NATIVE_VECTOR_WIDTH_INT
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_NATIVE_VECTOR_WIDTH_LONG

public static final int CL_DEVICE_NATIVE_VECTOR_WIDTH_LONG
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_NATIVE_VECTOR_WIDTH_FLOAT

public static final int CL_DEVICE_NATIVE_VECTOR_WIDTH_FLOAT
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_NATIVE_VECTOR_WIDTH_DOUBLE

public static final int CL_DEVICE_NATIVE_VECTOR_WIDTH_DOUBLE
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_NATIVE_VECTOR_WIDTH_HALF

public static final int CL_DEVICE_NATIVE_VECTOR_WIDTH_HALF
cl_device_info

See Also:
  - Constant Field Values

### CL_DEVICE_OPENCL_C_VERSION

public static final int CL_DEVICE_OPENCL_C_VERSION
cl_device_info

See Also:
  - Constant Field Values

### CL_FP_SOFT_FLOAT

public static final int CL_FP_SOFT_FLOAT
cl_device_fp_config - bitfield

See Also:
  - Constant Field Values

### CL_CONTEXT_NUM_DEVICES

public static final int CL_CONTEXT_NUM_DEVICES
cl_context_info

See Also:
  - Constant Field Values

### CL_Rx

public static final int CL_Rx
cl_channel_order

See Also:
  - Constant Field Values

### CL_RGx

public static final int CL_RGx
cl_channel_order

See Also:
  - Constant Field Values

### CL_RGBx

public static final int CL_RGBx
cl_channel_order

See Also:
  - Constant Field Values

### CL_MEM_ASSOCIATED_MEMOBJECT

public static final int CL_MEM_ASSOCIATED_MEMOBJECT
cl_mem_info

See Also:
  - Constant Field Values

### CL_MEM_OFFSET

public static final int CL_MEM_OFFSET
cl_mem_info

See Also:
  - Constant Field Values

### CL_ADDRESS_MIRRORED_REPEAT

public static final int CL_ADDRESS_MIRRORED_REPEAT
cl_addressing_mode

See Also:
  - Constant Field Values

### CL_KERNEL_PREFERRED_WORK_GROUP_SIZE_MULTIPLE

public static final int CL_KERNEL_PREFERRED_WORK_GROUP_SIZE_MULTIPLE
cl_kernel_work_group_info

See Also:
  - Constant Field Values

### CL_KERNEL_PRIVATE_MEM_SIZE

public static final int CL_KERNEL_PRIVATE_MEM_SIZE
cl_kernel_work_group_info

See Also:
  - Constant Field Values

### CL_EVENT_CONTEXT

public static final int CL_EVENT_CONTEXT
cl_event_info

See Also:
  - Constant Field Values

### CL_COMMAND_READ_BUFFER_RECT

public static final int CL_COMMAND_READ_BUFFER_RECT
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_WRITE_BUFFER_RECT

public static final int CL_COMMAND_WRITE_BUFFER_RECT
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_COPY_BUFFER_RECT

public static final int CL_COMMAND_COPY_BUFFER_RECT
cl_command_type

See Also:
  - Constant Field Values

### CL_COMMAND_USER

public static final int CL_COMMAND_USER
cl_command_type

See Also:
  - Constant Field Values

### CL_BUFFER_CREATE_TYPE_REGION

public static final int CL_BUFFER_CREATE_TYPE_REGION
cl_buffer_create_type

See Also:
  - Constant Field Values

## Method Details

### clCreateSubBuffer

public static CLMem clCreateSubBuffer(CLMem buffer, long flags, int buffer_create_type, ByteBuffer buffer_create_info, IntBuffer errcode_ret)

### clSetMemObjectDestructorCallback

public static int clSetMemObjectDestructorCallback(CLMem memobj, CLMemObjectDestructorCallback pfn_notify)

### clEnqueueReadBufferRect

public static int clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadBufferRect

public static int clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, DoubleBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadBufferRect

public static int clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadBufferRect

public static int clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadBufferRect

public static int clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, LongBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReadBufferRect

public static int clEnqueueReadBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_read, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBufferRect

public static int clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, ByteBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBufferRect

public static int clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, DoubleBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBufferRect

public static int clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, FloatBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBufferRect

public static int clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, IntBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBufferRect

public static int clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, LongBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueWriteBufferRect

public static int clEnqueueWriteBufferRect(CLCommandQueue command_queue, CLMem buffer, int blocking_write, PointerBuffer buffer_offset, PointerBuffer host_offset, PointerBuffer region, long buffer_row_pitch, long buffer_slice_pitch, long host_row_pitch, long host_slice_pitch, ShortBuffer ptr, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueCopyBufferRect

public static int clEnqueueCopyBufferRect(CLCommandQueue command_queue, CLMem src_buffer, CLMem dst_buffer, PointerBuffer src_origin, PointerBuffer dst_origin, PointerBuffer region, long src_row_pitch, long src_slice_pitch, long dst_row_pitch, long dst_slice_pitch, PointerBuffer event_wait_list, PointerBuffer event)

### clCreateUserEvent

public static CLEvent clCreateUserEvent(CLContext context, IntBuffer errcode_ret)

### clSetUserEventStatus

public static int clSetUserEventStatus(CLEvent event, int execution_status)

### clSetEventCallback

public static int clSetEventCallback(CLEvent event, int command_exec_callback_type, CLEventCallback pfn_notify)